## org.hibernate.internal.util.collections
Class LazyIterator

    java.lang.Object
      org.hibernate.internal.util.collections.LazyIterator

All Implemented Interfaces:
  Iterator

    public final class LazyIterator

extends Object
implements Iterator

Constructor Summary
`LazyIterator(Map map)`

Method Summary
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LazyIterator

    public LazyIterator(Map map)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.